version: '3.8'

services:
  zoo1:
    image: 617208391173.dkr.ecr.us-east-1.amazonaws.com/docker-cache/bitnami/zookeeper:3.8.3
    restart: unless-stopped
    hostname: zoo1
    ports:
      - "2181:2181"
    environment:
      ZOOKEEPER_CLIENT_PORT: 2181
      ALLOW_ANONYMOUS_LOGIN: yes

  kafka1:
    image: 617208391173.dkr.ecr.us-east-1.amazonaws.com/docker-cache/bitnami/kafka:3.5.2
    hostname: kafka1
    ports:
      - "9092:9092"
      - "19092:19092"
    environment:
      KAFKA_ADVERTISED_LISTENERS: LISTENER_DOCKER_INTERNAL://kafka1:19092,LISTENER_DOCKER_EXTERNAL://${DOCKER_HOST_IP:-127.0.0.1}:9092
      KAFKA_LISTENER_SECURITY_PROTOCOL_MAP: LISTENER_DOCKER_INTERNAL:PLAINTEXT,LISTENER_DOCKER_EXTERNAL:PLAINTEXT
      KAFKA_INTER_BROKER_LISTENER_NAME: LISTENER_DOCKER_INTERNAL
      KAFKA_ZOOKEEPER_CONNECT: "zoo1:2181"
      KAFKA_BROKER_ID: 1
      KAFKA_LOG4J_LOGGERS: "kafka.controller=INFO,kafka.producer.async.DefaultEventHandler=INFO,state.change.logger=INFO"
      KAFKA_OFFSETS_TOPIC_REPLICATION_FACTOR: 1
    volumes:
      - ./local-test/kafka1/data:/var/lib/kafka/data
    depends_on:
      - zoo1

  topic-runner1:
    build: .
    environment:
      MAX_TOPIC_REPLICATION_FACTOR: 1
      BOOTSTRAP_SERVERS: kafka1:19092
    labels:
      project: volo
    depends_on:
      - kafka1
    entrypoint: [ "/opt/docker/topic-runner.sh" ]

